## org.apache.poi.hpsf
Class IllegalPropertySetDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException
                      org.apache.poi.hpsf.IllegalPropertySetDataException

All Implemented Interfaces:
  java.io.Serializable

public class IllegalPropertySetDataException
extends HPSFRuntimeException

This exception is thrown when there is an illegal value set in a `PropertySet`. For example, a `Variant.VT_BOOL` must have a value of `-1 (true)` or `0 (false)`. Any other value would trigger this exception. It supports a nested "reason" throwable, i.e. an exception that caused this one to be thrown.

Since:
  2002-05-26
Version:
  $Id: IllegalPropertySetDataException.java,v 1.3.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Drew Varner(Drew.Varner atDomain sc.edu)
See Also:
  Serialized Form

Constructor Summary
`IllegalPropertySetDataException()`
`IllegalPropertySetDataException(java.lang.String msg)`
`IllegalPropertySetDataException(java.lang.String msg, java.lang.Throwable reason)`
`IllegalPropertySetDataException(java.lang.Throwable reason)`

Methods inherited from class org.apache.poi.hpsf.HPSFRuntimeException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalPropertySetDataException

    public IllegalPropertySetDataException()

### IllegalPropertySetDataException

    public IllegalPropertySetDataException(java.lang.String msg)

### IllegalPropertySetDataException

    public IllegalPropertySetDataException(java.lang.Throwable reason)

### IllegalPropertySetDataException

    public IllegalPropertySetDataException(java.lang.String msg,
                                           java.lang.Throwable reason)

Copyright © 2003 Apache Software Foundation.